Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.results
Class GetWorkListResult

    java.lang.Object
      com.tibco.bpm.web.client.services.results.GetWorkListResult

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, net.customware.gwt.dispatch.shared.Result

    public class GetWorkListResult

extends java.lang.Object
implements net.customware.gwt.dispatch.shared.Result

Client model for WorkListItem returned in WorkListService operation getWorkListItems

©2013 TIBCO Software Inc.

Since:
  3.0

Constructor Summary
`GetWorkListResult(ListPage<WorkListItem2> workList, java.util.HashMap<java.lang.String,java.lang.String> attributeAliases, java.lang.String attributeAliasString)`

Method Summary
`java.util.HashMap<java.lang.String,java.lang.String>` | `getAttributeAliases()`
`java.lang.String` | `getAttributeAliasString()`
`long` | `getTotalItems()`
`ListPage<WorkListItem2>` | `getWorkList()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetWorkListResult

    public GetWorkListResult(ListPage<WorkListItem2> workList,
                             java.util.HashMap<java.lang.String,java.lang.String> attributeAliases,
                             java.lang.String attributeAliasString)

Method Detail

### getWorkList

    public ListPage<WorkListItem2> getWorkList()

### getTotalItems

    public long getTotalItems()

### getAttributeAliases

    public java.util.HashMap<java.lang.String,java.lang.String> getAttributeAliases()

### getAttributeAliasString

    public java.lang.String getAttributeAliasString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.